import { AfterViewInit, ElementRef, OnDestroy, OnInit } from '@angular/core';
import { Value } from '../../abstract/value';
import { ValidationPanelComponent } from '../validation-panel/validation-panel.component';
/**
 * Lf app component.
 */
export declare class AppComponent extends Value implements OnInit, AfterViewInit, OnDestroy {
    _validationPanel: ValidationPanelComponent;
    _treeNavContainer: ElementRef;
    _mainContainer: ElementRef;
    _mainContent: ElementRef;
    _isTreeNavVisible: boolean;
    _isBackdropVisible: boolean;
    _shouldBackdropExist: boolean;
    private lfRouter;
    private lastTreeNavTranslateX;
    private disposeOnRouterPathChange;
    private onPressEsc;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    readonly isTreeNavVisible: boolean;
    showTreeNav(): void;
    hideTreeNav(): void;
    validate(): void;
    /**
     * Scroll the main content area.
     * @param options Options for the scrolling.
     */
    scrollTo(options: ScrollToOptions): void;
    _onTreeNavTransitionEnd(): void;
    _onBackdropTransitionEnd(): void;
    protected validatePath(): void;
    private readonly treeNavTranslateX;
}
