import { AfterViewInit, ElementRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { Toggleable } from '../../abstract/toggleable';
export declare type DropdownPosition = 'left' | 'right' | 'up' | 'down';
export declare type DropdownBoundary = 'viewport' | 'window' | 'scrollParent' | ElementRef;
export declare type DropdownReference = 'toggle' | 'parent' | ElementRef;
export declare type DropdownDisplay = 'dynamic' | 'static';
/**
 * LF dropdown component.
 */
export declare class DropdownComponent extends Toggleable implements OnInit, AfterViewInit, OnDestroy {
    position: DropdownPosition;
    offset: string | number;
    flip: boolean;
    boundary: DropdownBoundary;
    reference: DropdownReference;
    display: DropdownDisplay;
    shown: EventEmitter<void>;
    hidden: EventEmitter<void>;
    _hostClassBtnGroup: boolean;
    _toggle: ElementRef;
    private host;
    private $host;
    private $toggle;
    private isAnimating;
    private disposeOnOptionsChange;
    private showSubscription;
    private hideSubscription;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    readonly _hostClassDropleft: boolean;
    readonly _hostClassDropright: boolean;
    readonly _hostClassDropup: boolean;
    /**
     * Creates a new dropdown and starts listening to events.
     */
    private createDropdown;
    /**
     * Unsubscribes from all events and destroys the dropdown.
     */
    private destroyDropdown;
}
