import { InlineValue } from '../../abstract/inline-value';
/**
 * LF number component.
 */
export declare class NumberComponent extends InlineValue {
    /**
     * Number of decimal digits to show.
     */
    scale: number;
    /**
     * Number of digits to show on the left side of the number.
     */
    leadingZeroes: number;
    /**
     * Whether the number is currently being edited.
     */
    protected _isEditing: boolean;
    /**
     * Number's prefix.
     */
    readonly prefix: string;
    /**
     * Number's suffix.
     */
    readonly suffix: string;
    /**
     * Number's decimal separator.
     */
    readonly decimalSeparator: string;
    /**
     * Number's thousands separator.
     */
    readonly thousandsSeparator: string;
    /**
     * Whether to show the "is required" icon on the component.
     */
    readonly showIsRequired: boolean;
    /**
     * Whether the number being displayed represents an integer number.
     */
    readonly isInteger: boolean;
    /**
     * Whether the number is in "editing" mode.
     */
    readonly isEditing: boolean;
    _onFocus(evt: any): void;
    _onBlur(evt: any): void;
    /**
     * Formats the value to be displayed.
     * @param value Value to format.
     * @returns Formatted value.
     */
    formatValueForDisplay(value: number | null): string;
    formatValueForEdit(value: number | null): string;
    protected _getEditCaretPosition(formattedValue: string, caret: number): number;
    protected validatePath(): void;
}
