import { OnInit } from '@angular/core';
import { ValidationIssue } from '@lightweightform/storage';
import { Toggleable } from '../../abstract/toggleable';
/**
 * Validation panel component.
 */
export declare class ValidationPanelComponent extends Toggleable implements OnInit {
    /**
     * Path currently being viewed.
     */
    private _currentPath;
    private lfRouter;
    ngOnInit(): void;
    readonly errorsText: string;
    readonly warningsText: string;
    readonly noIssuesText: string;
    readonly focusButtonTooltip: any;
    readonly nextButtonTooltip: any;
    readonly prevButtonTooltip: any;
    readonly closeButtonTooltip: any;
    show(): void;
    readonly isPending: boolean;
    readonly currentPath: string;
    readonly currentLabel: string;
    readonly hasNext: boolean;
    triggerFocus(): void;
    next(): void;
    readonly hasPrevious: boolean;
    previous(): void;
    readonly errors: ValidationIssue[];
    readonly warnings: ValidationIssue[];
    readonly hasNoIssues: boolean;
    readonly panelType: "success" | "secondary" | "danger" | "warning";
    private readonly _pages;
    private readonly _validationIssues;
    /**
     * Label associated with the given path.
     * @param path Path from which to fetch label.
     * @returns Label of given path.
     */
    private labelOf;
    private navigateToCurrentPath;
}
