/**
 * Content for the HTML file that should contain an `<lf-app>`.
 * @param setRouterOutlet Whether to set the `<router-outlet>`.
 * @returns File content containing an `<lf-app>`.
 */
export declare function htmlComponentContent(setRouterOutlet?: boolean): string;
/**
 * Actions to set as a property in the component's TS file.
 * @param localesArr Array of locales the application should support.
 * @returns Actions to set in the component's TS file.
 */
export declare function tsComponentActions(localesArr: string[]): string;
/**
 * Method signature and body to set as the `ngOnInit` method of the component's
 * TS file.
 * @returns Method signature and body to set in the component's TS file.
 */
export declare function tsComponentNgOnInit(): string;
/**
 * Method signature and body to set as the `save` method of the component's TS
 * file.
 * @returns Method signature and body to set in the component's TS file.
 */
export declare function tsComponentSave(moduleName: string): string;
/**
 * Method signature and body to set as the `load` method of the component's TS
 * file.
 * @returns Method signature and body to set in the component's TS file.
 */
export declare function tsComponentLoad(): string;
/**
 * Method signature and body to set as the `submit` method of the component's TS
 * file.
 * @returns Method signature and body to set in the component's TS file.
 */
export declare function tsComponentSubmit(): string;
