import { Path } from '@angular-devkit/core';
import { Rule } from '@angular-devkit/schematics';
import { WorkspaceProject } from '@schematics/angular/utility/workspace-models';
import { NgAddOptions } from '../ng-add.options';
/**
 * File used to import the Bootstrap-theme styles.
 */
export declare const themeStylesFilename = "lf-bootstrap-theme.scss";
/**
 * Imports the Bootstrap-theme styles to the project.
 * @param options Schematic options.
 * @returns Schematic rule.
 */
export declare function addThemeStyles(options: NgAddOptions): Rule;
/**
 * File path of the file used to import the Bootstrap-theme styles.
 * @param project Project on which the styles are being added.
 * @returns File path.
 */
export declare function themeStylesFilePath(project: WorkspaceProject): Path;
